Can't run game due to Level 4 shaders

Ask for help with running the game.
Post Reply
SilverWarior
Posts: 18
Joined: Thu Aug 15, 2013 12:04 pm

Can't run game due to Level 4 shaders

Post by SilverWarior » Thu Aug 15, 2013 12:17 pm

Hi!
I just recently preordered your game but I can't play it.
The main reason for this is that your game uses Level 4 pxiel/vertex shaders while my Graphic card only supports Level 3 pixel/vertex shaders.

So I'm wandering if you are planning to include support for older Graphic cards that use Level 3 pixel/vertex shaders in the future?

Also I strongly recomend that you include this information in Preorder form so that other pepole won't be buying your game just to find out that they can't run it.
"Graphics: Dedicated card with 1GB VRAM" is just not good enough description about what kinda graphic card is needed to play your game.

User avatar
SimoRoth
Site Admin
Posts: 1106
Joined: Sat Jul 14, 2012 11:28 am

Re: Can't run game due to Level 4 shaders

Post by SimoRoth » Thu Aug 15, 2013 8:13 pm

SilverWarior wrote:Hi!
I just recently preordered your game but I can't play it.
The main reason for this is that your game uses Level 4 pxiel/vertex shaders while my Graphic card only supports Level 3 pixel/vertex shaders.

So I'm wandering if you are planning to include support for older Graphic cards that use Level 3 pixel/vertex shaders in the future?

Also I strongly recomend that you include this information in Preorder form so that other pepole won't be buying your game just to find out that they can't run it.
"Graphics: Dedicated card with 1GB VRAM" is just not good enough description about what kinda graphic card is needed to play your game.
A workaround for this is coming soon!

Yeah the description could be clearer, but there are very very few cards that have over 1gb of memory and don't support shader level 4. Shader model 4 came into being in 2008, and I don't expect many people to be gaming on that hardware.

SilverWarior
Posts: 18
Joined: Thu Aug 15, 2013 12:04 pm

Re: Can't run game due to Level 4 shaders

Post by SilverWarior » Thu Aug 22, 2013 7:56 pm

UPDATE!

After some hand editing of shader files (changing version definition to #VERSION 150) I managed to sucsessfully run the game (all shaders compile without problem) :D
So far I haven't encountered any graphical glitches which might happen due to shaders not working properly.

Now I just realized I still have version 0.31 installed which means I will have to do this all over again with newest version. :x

Anywhay this seems a simple working solution for many troubles pepole have due to their old hardware as there are no advanced functions used in the existing shaders.

So Simon I hardly wait for you to publish your latest version so I can try this approach again. ANd if it will work as it did now I'll ZIP up the changed shaders and send them to you so you can verify they work properly and include them in future versions.

EDIT: I tried using same approach on version 0.32 and it is a sucsess.

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest